This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 281511 - avc denials for xorg, ssh-keygen, etc on f8test2 rc1
avc denials for xorg, ssh-keygen, etc on f8test2 rc1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks: F8Test3
  Show dependency treegraph
 
Reported: 2007-09-06 17:47 EDT by Jesse Keating
Modified: 2013-01-09 21:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 15:10:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-09-06 17:47:54 EDT
# grep den /var/log/audit/audit.log 
type=AVC msg=audit(1189100042.312:9): avc:  denied  { read write } for  pid=2355
comm="ssh-keygen" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:ssh_keygen_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
type=AVC msg=audit(1189100043.427:10): avc:  denied  { read write } for 
pid=2359 comm="ssh-keygen" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:ssh_keygen_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
type=AVC msg=audit(1189100044.552:11): avc:  denied  { read write } for 
pid=2363 comm="ssh-keygen" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:ssh_keygen_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
type=AVC msg=audit(1189100055.391:12): avc:  denied  { unix_read unix_write }
for  pid=1495 comm="Xorg" key=0 scontext=system_u:system_r:xdm_xserver_t:s0
tcontext=system_u:system_r:firstboot_t:s0 tclass=shm
type=AVC msg=audit(1189100093.657:14): avc:  denied  { unix_read unix_write }
for  pid=1495 comm="Xorg" key=0 scontext=system_u:system_r:xdm_xserver_t:s0
tcontext=system_u:system_r:firstboot_t:s0 tclass=shm

This is on a fresh install of f8test2 rc1 (rawhide 20070906) a default install
and a run through firstboot including creating a user.

# audit2allow < /var/log/audit/audit.log 


#============= ssh_keygen_t ==============
allow ssh_keygen_t rhgb_devpts_t:chr_file { read write };

#============= xdm_xserver_t ==============
allow xdm_xserver_t firstboot_t:shm { unix_read unix_write };
Comment 1 Daniel Walsh 2007-09-06 19:26:22 EDT
Fixed in selinux-policy-3.0.7-5.fc8
Comment 2 Jesse Keating 2007-09-07 15:10:46 EDT
Confirmed.

Note You need to log in before you can comment on or make changes to this bug.